package cn.sh.stc.sict.theme.hphy.controller.mp;

import cn.hutool.core.collection.CollUtil;
import cn.sh.stc.sict.cloud.common.core.constant.Constant;
import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.theme.hphy.wd.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author F_xh
 */
@Slf4j
@RestController
@RequestMapping("/c/wd")
@Api(tags = "[C]万达相关接口")
public class WDController {

    /**
     * 0. 发短信
     * 1. 医生查询
     * 2. 门诊信息查询
     * 3. 号源查询
     * 4. 测压厅信息
     * 5. 预约须知
     */

    @ApiOperation("获取号源信息")
    @GetMapping("/num/info")
    public R getOrderNumberInfo(NumSourceInfo numSourceInfo) {

        List<NumSourceInfo> list = WanDaHttpUtil.getOrderNumInfo(numSourceInfo);

        if(CollUtil.isNotEmpty(list)){
            return R.builder().code(Constant.BYTE_YES).data(list).bizCode(Constant.INT_NO).build();
        }

        DeptInfo deptInfo = new DeptInfo();
        deptInfo.setHosOrgCode(numSourceInfo.getHosOrgCode());
        deptInfo.setOneDeptCode(numSourceInfo.getOneDeptCode());
        deptInfo.setDeptCode(numSourceInfo.getDeptCode());
        List<OutPatInfo> outPatInfo = WanDaHttpUtil.getResourceOutPatInfo(deptInfo);
        if(CollUtil.isNotEmpty(outPatInfo)){
            numSourceInfo.setOrderType(WanDaConstant.ORDER_TYPE_CLINC);
            numSourceInfo.setResourceCode(outPatInfo.get(0).getResourceCode());
            list = WanDaHttpUtil.getOrderNumInfo(numSourceInfo);

            return new R(list);
        }
        return new R().success(list);
    }
}
